// ----------------------------------
// Filename      : GeneralError.java
// Created       : 11/10/1999
// Last modified : 16/01/2000
// Target        : Java VM
// Author        : Sven Maerivoet
// 
// All rights reserved.
// Universitaire Instelling Antwerpen
// ----------------------------------

package mitrasim.exceptions;

/** @author Sven Maerivoet<BR>
    All rights reserved.<BR>
    Universitaire Instelling Antwerpen
*/
public class GeneralError extends Exception
{
  // the various error-categories
  public static final int kFileError    = 1;
  public static final int kParseError   = 2;
  public static final int kNetworkError = 3;
  public static final int kCmdLineError = 4;

  // internal datastructures
  private String fMessage;
  private int    fErrorCategory;

  public GeneralError(String message, int errorCategory)
  {
    super();
    fMessage = message;
    fErrorCategory = errorCategory;
  }

  public String message()
  {
    return fMessage;
  }

  public int errorCategory()
  {
    return fErrorCategory;
  }
}
