// ----------------------------------
// Filename      : MessageBox.java
// Created       : 20/12/1999
// Last modified : 09/02/2000
// Target        : Java VM
// Author        : Sven Maerivoet
//
// All rights reserved.
// Universitaire Instelling Antwerpen
// ----------------------------------

package mitrasim.util;

import java.awt.*;
import java.awt.event.*;
import mitrasim.resources.*;

/** @author Sven Maerivoet<BR>
    All rights reserved.<BR>
    Universitaire Instelling Antwerpen
*/
public class MessageBox extends Dialog implements WindowListener, ActionListener
{
  public static final boolean kMessage = false;
  public static final boolean kError   = true;
  private Messages fMessages;

  public MessageBox(Frame parent, String message, boolean errorMessage)
  {
    super(parent);

    fMessages = (new Resources()).fMessages;

    // adjust the windowlayout
    setFont(new Font(fMessages.lookup("textFontName"),Font.PLAIN,14));
    setResizable(false);
    Point Org = parent.getLocation();
    setLocation(Org.x + 20,Org.y + 60);
    if (errorMessage) {
      setTitle(fMessages.lookup("textErrorBoxTitle"));
    }
    else {
      setTitle("");
    }
    setModal(true);
    if (errorMessage) {
      setBackground(Color.blue);
      setForeground(Color.white);
    }
    else {
      setBackground(Color.lightGray);
      setForeground(Color.black);
    }

    setLayout(new GridLayout(4,1));

    add(new Label());
    Label label = new Label(message,Label.CENTER);
    if (errorMessage) {
      label.setFont(new Font(fMessages.lookup("textFontName"),Font.PLAIN,18));
    }
    add(label);
    add(new Label());

    Button OkButton = new Button(fMessages.lookup("buttonOk"));
    OkButton.addActionListener(this);
    OkButton.setForeground(Color.black);
    add(OkButton);


    // add the windowlistener
    addWindowListener(this);
        
    pack();
    show();
  }

  // methods from the WindowListener-interface
  public void windowOpened(WindowEvent e) { }
  public void windowClosing(WindowEvent e)
  {
    dispose();
  }
  public void windowClosed(WindowEvent e) { }
  public void windowIconified(WindowEvent e) { }
  public void windowDeiconified(WindowEvent e) { }
  public void windowActivated(WindowEvent e) { }
  public void windowDeactivated(WindowEvent e) { }
  
  // method from the ActionListener-interface
  public void actionPerformed(ActionEvent e)
  {
    String Command = e.getActionCommand();

    if (Command.equals(fMessages.lookup("buttonOk"))) {
      windowClosing(null);
    }
  }
}
