// ----------------------------------
// Filename      : Report.java
// Created       : 16/01/2000
// Last modified : 13/03/2000
// Target        : Java VM
// Author        : Sven Maerivoet
//
// All rights reserved.
// Universitaire Instelling Antwerpen
// ----------------------------------

package mitrasim.util;

import java.io.*;
import java.util.*;

/** @author Sven Maerivoet<BR>
    All rights reserved.<BR>
    Universitaire Instelling Antwerpen
*/
public class Report
{
  // internal datastructurs
  private Vector      fLines;
  private Enumeration fEnumeration;

  public Report()
  {
    clear();
  }

  public void clear()
  {
    fLines = new Vector();
    fEnumeration = null;
  }

  public void addLine(String line)
  {
    fLines.addElement(line);
  }

  public boolean isEmpty()
  {
    return (fLines.size() == 0);
  }

  public void initializeReadOut()
  {
    fEnumeration = fLines.elements();
  }

  public String getNextLine()
  {
    if (fEnumeration != null) {
      if (fEnumeration.hasMoreElements()) {
        return ((String) (fEnumeration.nextElement()));
      }
      else {
        fEnumeration = null;
        return "";
      }
    }
    else {
      return "";
    }
  }

  public void readFromStream(DataInputStream in)
  {
    try {
      clear();

      int NrOfLines = in.readInt();
      for (int i = 0; i < NrOfLines; ++i) {
        String Line = in.readUTF();
        addLine(Line);
      }
    }
    catch (IOException exc) {
    }
  }

  public void writeToStream(DataOutputStream out)
  {
    try {
      out.writeInt(fLines.size());
      Enumeration LineEnum = fLines.elements();
      while (LineEnum.hasMoreElements()) {
        String Line = (String) LineEnum.nextElement();
        out.writeUTF(Line);      
      }
      out.flush();
    }
    catch (IOException exc) {
    }
  }
}
