// ----------------------------------
// Filename      : ReportBox.java
// Created       : 10/02/2000
// Last modified : 11/03/2000
// Target        : Java VM
// Author        : Sven Maerivoet
//
// All rights reserved.
// Universitaire Instelling Antwerpen
// ----------------------------------

package mitrasim.util;

import java.awt.*;
import java.awt.event.*;
import mitrasim.resources.*;

/** @author Sven Maerivoet<BR>
    All rights reserved.<BR>
    Universitaire Instelling Antwerpen
*/
public class ReportBox extends Dialog implements WindowListener, ActionListener
{
  public static boolean kShowTickMarks     = true;
  public static boolean kDontShowTickMarks = false;

  // internal datastructures
  private Messages fMessages;

  public ReportBox(Frame parent, Report report, String Title, String ReportHeader, boolean ShowTickMarks)
  {
    super(parent);

    fMessages = (new Resources()).fMessages;

    // adjust the windowlayout
    setFont(new Font(fMessages.lookup("textFontName"),Font.PLAIN,14));
    setResizable(false);
    Point Org = parent.getLocation();
    setLocation(Org.x + 20,Org.y + 60);
    setTitle(Title);
    setModal(true);
    setBackground(Color.lightGray);
    setForeground(Color.black);

    setLayout(new BorderLayout());

    // create the text-area's contents
    String ReportText = ReportHeader;
    report.initializeReadOut();
    String ReportLine = report.getNextLine();

    while (!ReportLine.equalsIgnoreCase("")) {
      if (ShowTickMarks) {
        ReportText += " * ";
      }
      ReportText += ReportLine + "\n";
      ReportLine = report.getNextLine();
    }

    TextArea ReportTextArea = new TextArea(ReportText,20,80,TextArea.SCROLLBARS_BOTH);
    ReportTextArea.setFont(new Font(fMessages.lookup("textMonospacedFont"),Font.PLAIN,15));

    // make the text read-only
    ReportTextArea.setEditable(false);

    add("North",ReportTextArea);

    Button OkButton = new Button(fMessages.lookup("buttonOk"));
    OkButton.addActionListener(this);
    OkButton.setForeground(Color.black);
    add("South",OkButton);

    // add the windowlistener
    addWindowListener(this);
        
    pack();
    show();
  }

  // methods from the WindowListener-interface
  public void windowOpened(WindowEvent e) { }
  public void windowClosing(WindowEvent e)
  {
    dispose();
  }
  public void windowClosed(WindowEvent e) { }
  public void windowIconified(WindowEvent e) { }
  public void windowDeiconified(WindowEvent e) { }
  public void windowActivated(WindowEvent e) { }
  public void windowDeactivated(WindowEvent e) { }
  
  // method from the ActionListener-interface
  public void actionPerformed(ActionEvent e)
  {
    String Command = e.getActionCommand();

    if (Command.equals(fMessages.lookup("buttonOk"))) {
      windowClosing(null);
    }
  }
}
